Bug 156144 - emulators/vice: fix patch & build
emulators/vice: fix patch & build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-03 02:00 UTC by barbara.xxx1975
Modified: 2011-04-07 04:21 UTC (History)
0 users

See Also:


Attachments
file.diff (1.04 KB, patch)
2011-04-03 02:00 UTC, barbara.xxx1975
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description barbara.xxx1975 2011-04-03 02:00:21 UTC
Fix patch and build after last commit

Fix: Patch attached with submission follows:
How-To-Repeat: cd /usr/port/emulators/vice && make
Comment 1 Edwin Groothuis freebsd_committer 2011-04-03 02:00:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 barbara.xxx1975 2011-04-04 06:24:44 UTC
As suggested by Ruslan Mahmatkhanov, there is no need to patch files/patch-
dynlib.c changing lines.
A s/^M//g should fix patching.
Comment 3 Dirk Meyer freebsd_committer 2011-04-04 16:15:01 UTC
State Changed
From-To: open->feedback


I can not reproduce the problem! 

please check your files are up to date: 

/ports/emulators/vice$ env LANG=C ls -lR 
total 24 
-rw-r--r--  1 dm  dm  4837 Apr  2 20:54 Makefile 
-rw-r--r--  1 dm  dm   126 Mar  4 09:26 distinfo 
drwxr-xr-x  3 dm  dm   512 Apr  4 05:58 files 
-rw-r--r--  1 dm  dm   488 Feb  7  2009 pkg-descr 
-rw-r--r--  1 dm  dm   292 Mar  4  2007 pkg-message 
-rw-r--r--  1 dm  dm  6759 Mar  5 12:37 pkg-plist 

./files: 
total 14 
-rw-r--r--  1 dm  dm     297 Jun  6  1999 patch-ab 
-rw-r--r--  1 dm  dm     395 Nov 23  2001 patch-ac 
-rw-r--r--  1 dm  dm     246 Dec 25  2009 patch-dynlib.c 
-rw-r--r--  1 dm  dm     273 Dec  3  2005 patch-sound.c 
-rw-r--r--  1 dm  dm     310 Dec  3  2005 patch-sounduss.c 
-rw-r--r--  1 dm  wheel  461 Aug  3  2010 patch-x11video.c 

Makefile:               ASCII text 
distinfo:               ASCII text 
files:                  directory 
pkg-descr:              ASCII English text 
pkg-message:            ASCII English text 
pkg-plist:              ASCII text 
files/patch-ab:         ASCII text 
files/patch-ac:         ASCII English text 
files/patch-dynlib.c:   ASCII C program text 
files/patch-sound.c:    ASCII C program text 
files/patch-sounduss.c: ASCII C program text 
files/patch-x11video.c: ASCII C program text 

MD5 (Makefile) = d3338c249f9f31bba4292ae50b7c71ba 
MD5 (distinfo) = 91a27716cd87985e1de79eb8a3970caa 
MD5 (files) = 08833c133d60eeac647520c93b9d2cac 
MD5 (pkg-descr) = a7c6260cf13bd95fa5072d5675cdd059 
MD5 (pkg-message) = 29a3a7c1a569bbb69b42ec3560a91600 
MD5 (pkg-plist) = 24e163e58bf740dd1ee77844d4bef872 
MD5 (files/patch-ab) = baf949d68a1246927b4b39f189462331 
MD5 (files/patch-ac) = a8a5ee6c2f36b205598491351d54f1f7 
MD5 (files/patch-dynlib.c) = 2b1910a597da0a511a0eb50777f5fd10 
MD5 (files/patch-sound.c) = e55e9833d8b1e2d7289ad36ef13e124d 
MD5 (files/patch-sounduss.c) = bc06d55de7096ee9e9125a9a6f27bbb1 
MD5 (files/patch-x11video.c) = 5fdb186f96b100ef2be47e8ce0e87bb0
Comment 4 barbara.xxx1975 2011-04-04 20:06:58 UTC
The size and the md5 sum of your file doesn't match what I can fetch:

$ fetch http://www.freebsd.org/cgi/cvsweb.
cgi/~checkout~/ports/emulators/vice/files/patch-dynlib.c && \
> md5 patch-dynlib.c
fetch: http://www.freebsd.org/cgi/cvsweb.
cgi/~checkout~/ports/emulators/vice/files/patch-dynlib.c: size of remote file 
is not known
patch-dynlib.c                                         254  B  346 kBps
MD5 (patch-dynlib.c) = f05b74a51723de5f7ac7ce50923505ab


which match with the file I have in /usr/ports/emulators/vice/files:
$ cd /usr/ports/emulators/vice/files/ && ls -l patch-dynlib.c && md5 patch-
dynlib.c 
-rw-r--r--  1 root  wheel  254 Dec 25  2009 patch-dynlib.c
MD5 (patch-dynlib.c) = f05b74a51723de5f7ac7ce50923505ab


Did you try also running make configure?


Barbara
Comment 5 barbara.xxx1975 2011-04-06 00:04:41 UTC
So how can you explain that?
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/e.8.20110404110656/vice-
gnome-2.3.log
Comment 6 barbara.xxx1975 2011-04-06 00:26:44 UTC
BTW, maybe I removed too much lines from Makefile.
Maybe the dependency from devel/libusb is still required when configured 
WITH_LIBUSB and ${OSVERSION}<800063, I'm not sure and I can't test that, but 
the else branch leads to this:

# make configure
....
configure: error: invalid option: --disable-libusb
===>  Script "configure" failed unexpectedly.
Comment 7 dfilter freebsd_committer 2011-04-07 04:18:15 UTC
dinoex      2011-04-07 03:18:01 UTC

  FreeBSD ports repository

  Modified files:
    emulators/vice       Makefile 
  Log:
  - drop OPTION WITH_LIBUSB
  PR:             156144
  
  Revision  Changes    Path
  1.75      +0 -4      ports/emulators/vice/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Dirk Meyer freebsd_committer 2011-04-07 04:21:11 UTC
State Changed
From-To: feedback->closed

committed, thanks.